Bug 922404 - (CVE-2012-6545) CVE-2012-6545 Kernel: Bluetooth: RFCOMM - information leak
CVE-2012-6545 Kernel: Bluetooth: RFCOMM - information leak
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120815,reported=2...
: Security
Depends On: 922406 922407 922408 922409
Blocks: 858947
  Show dependency treegraph
 
Reported: 2013-03-16 13:53 EDT by Prasad J Pandit
Modified: 2015-07-31 03:01 EDT (History)
24 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-09 14:02:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2013-03-16 13:53:55 EDT
Linux kernel built with Bluetooth networking with RFCOMM protocol support
is vulnerable to information leakage flaws. These occur while calling
getsockname, getsockopt(BT_SECURITY), and ioctl(RFCOMMGETDEVLIST) routines.

A user/program could use this flaw to leak kernel memory bytes.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/9344a972961d1a6d2c04d9008b13617bcb6ec2ef
 -> https://git.kernel.org/linus/f9432c5ec8b1e9a09b9b0e5569e3c73db8de432a
 -> https://git.kernel.org/linus/9ad2de43f1aee7e7274a4e0d41465489299e344b

Reference:
----------
 -> http://www.openwall.com/lists/oss-security/2013/03/14/21
Comment 1 Prasad J Pandit 2013-03-16 13:58:36 EDT
Statement:

This issue does not affect the version of the kernel package as shipped with
Red Hat Enterprise MRG 2.

This issue affects the versions of Linux kernel as shipped with
Red Hat Enterprise Linux 5 and Red Hat Enterprise Linux 6. Future kernel
updates for Red Hat Enterprise Linux 5 and Red Hat Enterprise Linux 6 may
address this issue.
Comment 3 errata-xmlrpc 2013-07-09 23:53:23 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1034 https://rhn.redhat.com/errata/RHSA-2013-1034.html
Comment 4 errata-xmlrpc 2013-11-21 12:05:59 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1645 https://rhn.redhat.com/errata/RHSA-2013-1645.html

Note You need to log in before you can comment on or make changes to this bug.